function sodaWorkerWait()
% check for new job
timeSlotWidth = 5; % seconds
workerTimeSlotIsOpen = false;
% disp([char(10),'                             '])
while true
    tNow = datevec(now);
    tNowSec = tNow(6);
    workerTimeSlotIsOpen = mod(tNowSec,2*timeSlotWidth)>timeSlotWidth;
    if workerTimeSlotIsOpen
        
        disp([sprintf(repmat('\b',[1,30])),'worker time slot is open.    '])
        status = sodaSspGetStatus();
        if strncmp(status,'b',1)
            sodaSspSetStatus('c')
            evalin('caller',['load(',char(39),'job.mat',char(39),')'])
            break
        else
            pause(timeSlotWidth/5)
        end
    else
        disp([sprintf(repmat('\b',[1,30])),'worker time slot is closed.  '])
        pause(timeSlotWidth/5)
    end
end
